Archive for February 14th, 2008

java.lang.UnsatisfiedLinkError during pulse installation on 64-bit ubuntu linux

February 14, 2008

I was trying to install pulse on my ubuntu linux (64 bit version) using the following command

> pulse-linux-gtk-x86$ ./pulse-install

I was getting the following error :

Launching Pulse installer…
Exception in thread “main” java.lang.UnsatisfiedLinkError: no swt-gtk-3347 or swt-gtk in swt.library.path, java.library.path or the jar file
at org.eclipse.swt.internal.Library.loadLibrary(Library.java:219)
at org.eclipse.swt.internal.Library.loadLibrary(Library.java:151)
at org.eclipse.swt.internal.C.<clinit>(C.java:21)
at org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:63)
at org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:54)
at org.eclipse.swt.widgets.Display.<clinit>(Display.java:128)
at com.genuitec.pulse.client.javastrap.Pulse.main(Pulse.java:161)

I tried the following command  with the same result (above error)

>  /pulse-linux-gtk-x86$ java -jar pulse-linux-gtk-x86.jar

I noticed my java was 64 bit version (by running the following command)

>  java -version
java version “1.6.0_03″
Java(TM) SE Runtime Environment (build 1.6.0_03-b05)
Java HotSpot(TM) 64-Bit Server VM (build 1.6.0_03-b05, mixed mode)

I downloaded and installed a 32-bit jdk from sun’s site  (the following file)

Linux self-extracting file jdk-1_5_0_14-linux-i586.bin 47.35 MB

I installed the above mentioned 32 bit jdk in /home/user/sdks/jdk1.5 directory

and then ran the following command

>  /home/user/sdks/jdk1.5/bin/java -jar /home/user/downloads/pulse-installer/pulse-install

That successfully started the pulse installer for me !

Follow

Get every new post delivered to your Inbox.